use valence::prelude::{event::ChatMessage, *};

pub fn handle_messages(
    mut clients: Query<(&mut Client, &Username)>,
    mut messages: EventReader<ChatMessage>,
) {
    for message in messages.iter() {
        let username = match clients.get_component::<Username>(message.client) {
            Ok(username) => username.to_string(),
            _ => "Unknown".to_string(),
        };

        let message = format!("{}: {}", username, message.message);

        for (mut client, _) in &mut clients {
            client.send_message(message.clone());
        }
    }
}
